Lucius API
Customers

List customers

Returns customers for the authenticated company. Filter with `?external_id=`.

GET
/v1/billing/customers

Authorization

AuthorizationBearer <token>

API key as Bearer token: Authorization: Bearer luc_live_.... Create keys in the dashboard under Settings > API Keys.

In: header

Query Parameters

external_id?string

Filter to the customer with this external id.

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/billing/customers"
{  "object": "list",  "data": [    {      "object": "customer",      "id": "string",      "external_id": "string",      "name": "string",      "email": "string",      "domain": "string",      "country": "string",      "created_at": "2019-08-24T14:15:22Z"    }  ],  "has_more": true,  "total_count": 0}

{  "error": "Missing API key"}